org.apache.ignite.internal.processors.platform

## Interface PlatformBootstrap

All Known Implementing Classes:
  PlatformAbstractBootstrap, PlatformCppBootstrap, PlatformDotNetBootstrap

    public interface PlatformBootstrap

Platform bootstrap. Responsible for starting Ignite node with non-Java platform.

### Method Summary

Methods
`PlatformProcessor` `start(IgniteConfiguration cfg, GridSpringResourceContext springCtx, long envPtr, long dataPtr)` Start Ignite node.

### Method Detail

#### start

    PlatformProcessor start(IgniteConfiguration cfg,
                          @Nullable
                          GridSpringResourceContext springCtx,
                          long envPtr,
                          long dataPtr)

Start Ignite node.

Parameters:
  `cfg` - Configuration.
  `springCtx` - Optional Spring resource context.
  `envPtr` - Environment pointer.
  `dataPtr` - Optional pointer to additional data required for startup.
Returns:
  Platform processor.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016